Skip to main content
Announcements
Live today at 11 AM ET. Get your questions about Qlik Connect answered, or just listen in. SIGN UP NOW
Katie_Davis
Digital Support
Digital Support

To our Talend 8 Customers,

To enhance both your security and Talend experience, Java 17 will be the only supported Java version for future updates to Talend Studio and the following supported applications.

  • Talend Studio
  • Talend Administration Center
  • Talend Data Preparation - (client managed installation)
  • Talend Data Stewardship - (client managed installation)
  • Talend SAP RFC Server
  • Talend Semantic Dictionary
  • Talend Identity and Access Management

Note: this upgrade does not impact execution of your artifacts that continue to support Java 8 or 11.

Previous versions of Java will no longer be supported by the above application when electing to upgrade to R2024-05. We are giving you this advanced notice to ensure you can plan this upgrade and take time to review your current Java environment. Java 17 support was first introduced with the R2023-10 release.

By giving this advanced notification, we are delighted to be able to reach a point of maturity where we can fully support best practices with dependencies and third-party libraries and be proactive in addressing CVEs to deliver constant improvement to the Talend Studio platform.

Compatibility Documentation:

 

For further questions please contact Qlik Talend Support and subscribe to the Support Blog for future updates.

 

Thank you for choosing Qlik,

Qlik Talend Customer Success

6 Comments
CSherlock
Employee
Employee

Where do we find the "Support Blog" for future updates? 

782 Views
Sonja_Bauernfeind
Digital Support
Digital Support

Hello @CSherlock 

If you mean to subscribe to only this specific blog post, you can do so by:

  1. clicking the vertical ellipses menu in the top right corner

    Sonja_Bauernfeind_0-1711446505329.png

  2. and choosing Subscribe from the menu.

If you are looking for the Support Blog itself, this is here: Qlik Support Update Blog. You can subscribe to it easily by clicking on the Subscribe button. 

Sonja_Bauernfeind_1-1711446630581.png

You can manage your subscription and notification settings in your Community Profile > My Settings > Subscriptions & Notifications.

All the best,
Sonja 

 

716 Views
MahiwalVinit
Creator
Creator

Is it only for data Fabric, what about data management/big data platform ?

621 Views
Sonja_Bauernfeind
Digital Support
Digital Support

Hello @MahiwalVinit 

It applies to all flavors of the platform, such as on-prem and Cloud. This includes Data Management and Big Data Platform.

All the best,
Sonja 

506 Views
MKistner1667574018
Contributor
Contributor

Is there a guide on how to migrate from previous Java Versions to Java 17/21? And what to consider while migration? (Local environment, Dev IDE and including the Remote & Runtime Engines as well). 

 

This seems like a bit of effort, and a Best-Practice or a Guide / Go Through, to not miss anything in production environment would be super helpful. 🙂

 

Thanks in advance, Best,

Marvin

383 Views
AlexOmetis
Partner Ambassador
Partner Ambassador

I asked similar questions on a Talend support ticket recently where the version of Java installed with Talend was flagged as a security issue.

In general it seems like maintaining Java is out of scope for Qlik / Talend support or for being packaged with software updates.

The only way to upgrade Java is to do so manually (including removing the old version if needed) and then update the config file and possibly your desktop shortcut. Apparently no specific testing is required for the upgrade (which surprised me)...

287 Views